Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ClientConnectionGCM2Response

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionGCM2Response

All Implemented Interfaces:
  `Message`, `MessageLite`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`, `Serializable`

Enclosing class:
  ClientWireProtocol

public static final class ClientWireProtocol.ClientConnectionGCM2Response extends GeneratedMessageV3 implements ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder
Protobuf type `xg.cmdcomp.ClientConnectionGCM2Response`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
Protobuf type `xg.cmdcomp.ClientConnectionGCM2Response`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`GeneratedMessageV3.BuilderParent, GeneratedMessageV3.ExtendableBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, GeneratedMessageV3.ExtendableMessage<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>, GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>, GeneratedMessageV3.FieldAccessorTable, GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FULLYQUALIFIEDUSERNAME_FIELD_NUMBER`
`static final int`
`REDIRECT_FIELD_NUMBER`
`static final int`
`REDIRECTHOST_FIELD_NUMBER`
`static final int`
`REDIRECTPORT_FIELD_NUMBER`
`static final int`
`RESPONSE_FIELD_NUMBER`
`static final int`
`SECONDARY_FIELD_NUMBER`
`static final int`
`SECURITYTOKEN_FIELD_NUMBER`
`static final int`
`SERVERSESSIONID_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Compares the specified object with this message for equality.
`static ClientWireProtocol.ClientConnectionGCM2Response`
`getDefaultInstance()`
`ClientWireProtocol.ClientConnectionGCM2Response`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`String`
`getFullyQualifiedUsername()`
The fully qualified username used for the connection
`ByteString`
`getFullyQualifiedUsernameBytes()`
The fully qualified username used for the connection
`Parser<ClientWireProtocol.ClientConnectionGCM2Response>`
`getParserForType()`
TODO(b/258340024): Remove this unnecessary intermediate implementation of this method.
`boolean`
`getRedirect()`
Redirect = true, means we are telling client to connect elsewhere
`String`
`getRedirectHost()`
`string redirectHost = 3;`
`ByteString`
`getRedirectHostBytes()`
`string redirectHost = 3;`
`int`
`getRedirectPort()`
`fixed32 redirectPort = 4;`
`ClientWireProtocol.ConfirmationResponse`
`getResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder`
`getResponseOrBuilder()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.SecondaryInterfaceList`
`getSecondary(int index)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`int`
`getSecondaryCount()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`List<ClientWireProtocol.SecondaryInterfaceList>`
`getSecondaryList()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.SecondaryInterfaceListOrBuilder`
`getSecondaryOrBuilder(int index)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`List<? extends ClientWireProtocol.SecondaryInterfaceListOrBuilder>`
`getSecondaryOrBuilderList()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`
`ClientWireProtocol.SecurityToken`
`getSecurityToken()`
The security token associated with this session
`ClientWireProtocol.SecurityTokenOrBuilder`
`getSecurityTokenOrBuilder()`
The security token associated with this session
`int`
`getSerializedSize()`
Get the number of bytes required to encode this message.
`String`
`getServerSessionId()`
`string serverSessionId = 7;`
`ByteString`
`getServerSessionIdBytes()`
`string serverSessionId = 7;`
`int`
`hashCode()`
Returns the hash code value for this message.
`boolean`
`hasResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean`
`hasSecurityToken()`
The security token associated with this session
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`static ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`newBuilder()`
`static ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`newBuilder(ClientWireProtocol.ClientConnectionGCM2Response prototype)`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`newBuilderForType()`
Constructs a new builder for a message of the same type as this message.
`protected ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`newBuilderForType(GeneratedMessageV3.BuilderParent parent)`
TODO(b/258340024): remove this together with GeneratedMessageV3.BuilderParent.
`protected Object`
`newInstance(GeneratedMessageV3.UnusedPrivateParameter unused)`
Creates a new instance of this message type.
`static ClientWireProtocol.ClientConnectionGCM2Response`
`parseDelimitedFrom(InputStream input)`
`static ClientWireProtocol.ClientConnectionGCM2Response`
`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ClientConnectionGCM2Response`
`parseFrom(byte[] data)`
`static ClientWireProtocol.ClientConnectionGCM2Response`
`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ClientConnectionGCM2Response`
`parseFrom(ByteString data)`
`static ClientWireProtocol.ClientConnectionGCM2Response`
`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ClientConnectionGCM2Response`
`parseFrom(CodedInputStream input)`
`static ClientWireProtocol.ClientConnectionGCM2Response`
`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ClientConnectionGCM2Response`
`parseFrom(InputStream input)`
`static ClientWireProtocol.ClientConnectionGCM2Response`
`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ClientConnectionGCM2Response`
`parseFrom(ByteBuffer data)`
`static ClientWireProtocol.ClientConnectionGCM2Response`
`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
`static Parser<ClientWireProtocol.ClientConnectionGCM2Response>`
`parser()`
`ClientWireProtocol.ClientConnectionGCM2Response.Builder`
`toBuilder()`
Constructs a builder initialized with the current message.
`void`
`writeTo(CodedOutputStream output)`
Serializes the message and writes it to `output`.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### RESPONSE_FIELD_NUMBER

public static final int RESPONSE_FIELD_NUMBER

See Also:
  - Constant Field Values

### REDIRECT_FIELD_NUMBER

public static final int REDIRECT_FIELD_NUMBER

See Also:
  - Constant Field Values

### REDIRECTHOST_FIELD_NUMBER

public static final int REDIRECTHOST_FIELD_NUMBER

See Also:
  - Constant Field Values

### REDIRECTPORT_FIELD_NUMBER

public static final int REDIRECTPORT_FIELD_NUMBER

See Also:
  - Constant Field Values

### SECONDARY_FIELD_NUMBER

public static final int SECONDARY_FIELD_NUMBER

See Also:
  - Constant Field Values

### SERVERSESSIONID_FIELD_NUMBER

public static final int SERVERSESSIONID_FIELD_NUMBER

See Also:
  - Constant Field Values

### SECURITYTOKEN_FIELD_NUMBER

public static final int SECURITYTOKEN_FIELD_NUMBER

See Also:
  - Constant Field Values

### FULLYQUALIFIEDUSERNAME_FIELD_NUMBER

public static final int FULLYQUALIFIEDUSERNAME_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### newInstance

protected Object newInstance(GeneratedMessageV3.UnusedPrivateParameter unused)
Description copied from class: `GeneratedMessageV3`
Creates a new instance of this message type. Overridden in the generated code.

Overrides:
  `newInstance` in class `GeneratedMessageV3`

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3`

### hasResponse

public boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `hasResponse` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  Whether the response field is set.

### getResponse

public ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponse` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The response.

### getResponseOrBuilder

public ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponseOrBuilder` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`

### getRedirect

public boolean getRedirect()

     Redirect = true, means we are telling client to connect elsewhere

`bool redirect = 2;`

Specified by:
  `getRedirect` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The redirect.

### getRedirectHost

public String getRedirectHost()
`string redirectHost = 3;`

Specified by:
  `getRedirectHost` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The redirectHost.

### getRedirectHostBytes

public ByteString getRedirectHostBytes()
`string redirectHost = 3;`

Specified by:
  `getRedirectHostBytes` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The bytes for redirectHost.

### getRedirectPort

public int getRedirectPort()
`fixed32 redirectPort = 4;`

Specified by:
  `getRedirectPort` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The redirectPort.

### getSecondaryList

public List<ClientWireProtocol.SecondaryInterfaceList> getSecondaryList()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

Specified by:
  `getSecondaryList` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`

### getSecondaryOrBuilderList

public List<? extends ClientWireProtocol.SecondaryInterfaceListOrBuilder> getSecondaryOrBuilderList()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

Specified by:
  `getSecondaryOrBuilderList` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`

### getSecondaryCount

public int getSecondaryCount()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

Specified by:
  `getSecondaryCount` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`

### getSecondary

public ClientWireProtocol.SecondaryInterfaceList getSecondary(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

Specified by:
  `getSecondary` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`

### getSecondaryOrBuilder

public ClientWireProtocol.SecondaryInterfaceListOrBuilder getSecondaryOrBuilder(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 6;`

Specified by:
  `getSecondaryOrBuilder` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`

### getServerSessionId

public String getServerSessionId()
`string serverSessionId = 7;`

Specified by:
  `getServerSessionId` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The serverSessionId.

### getServerSessionIdBytes

public ByteString getServerSessionIdBytes()
`string serverSessionId = 7;`

Specified by:
  `getServerSessionIdBytes` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The bytes for serverSessionId.

### hasSecurityToken

public boolean hasSecurityToken()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 8;`

Specified by:
  `hasSecurityToken` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  Whether the securityToken field is set.

### getSecurityToken

public ClientWireProtocol.SecurityToken getSecurityToken()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 8;`

Specified by:
  `getSecurityToken` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The securityToken.

### getSecurityTokenOrBuilder

public ClientWireProtocol.SecurityTokenOrBuilder getSecurityTokenOrBuilder()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 8;`

Specified by:
  `getSecurityTokenOrBuilder` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`

### getFullyQualifiedUsername

public String getFullyQualifiedUsername()

     The fully qualified username used for the connection

`string fullyQualifiedUsername = 9;`

Specified by:
  `getFullyQualifiedUsername` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The fullyQualifiedUsername.

### getFullyQualifiedUsernameBytes

public ByteString getFullyQualifiedUsernameBytes()

     The fully qualified username used for the connection

`string fullyQualifiedUsername = 9;`

Specified by:
  `getFullyQualifiedUsernameBytes` in interface `ClientWireProtocol.ClientConnectionGCM2ResponseOrBuilder`
Returns:
  The bytes for fullyQualifiedUsername.

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3`

### writeTo

public void writeTo(CodedOutputStream output) throws IOException
Description copied from interface: `MessageLite`
Serializes the message and writes it to `output`. This does not flush or close the stream.

Specified by:
  `writeTo` in interface `MessageLite`
Overrides:
  `writeTo` in class `GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()
Description copied from interface: `MessageLite`
Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that. If this message requires more than Integer.MAX_VALUE bytes to encode, the return value will be smaller than the actual number of bytes required and might be negative.

Specified by:
  `getSerializedSize` in interface `MessageLite`
Overrides:
  `getSerializedSize` in class `GeneratedMessageV3`

### equals

public boolean equals(Object obj)
Description copied from interface: `Message`
Compares the specified object with this message for equality. Returns `true` if the given object is a message of the same type (as defined by `getDescriptorForType()`) and has identical values for all of its fields. Subclasses must implement this; inheriting `Object.equals()` is incorrect.

Specified by:
  `equals` in interface `Message`
Overrides:
  `equals` in class `AbstractMessage`
Parameters:
  `obj` - object to be compared for equality with this message
Returns:
  `true` if the specified object is equal to this message

### hashCode

public int hashCode()
Description copied from interface: `Message`
Returns the hash code value for this message. The hash code of a message should mix the message's type (object identity of the descriptor) with its contents (known and unknown field values). Subclasses must implement this; inheriting `Object.hashCode()` is incorrect.

Specified by:
  `hashCode` in interface `Message`
Overrides:
  `hashCode` in class `AbstractMessage`
Returns:
  the hash code value for this message
See Also:
  - `Map.hashCode()`

### parseFrom

public static ClientWireProtocol.ClientConnectionGCM2Response parseFrom(ByteBuffer data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ClientConnectionGCM2Response parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ClientConnectionGCM2Response parseFrom(ByteString data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ClientConnectionGCM2Response parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ClientConnectionGCM2Response parseFrom(byte[] data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ClientConnectionGCM2Response parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ClientConnectionGCM2Response parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ClientConnectionGCM2Response parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.ClientConnectionGCM2Response parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.ClientConnectionGCM2Response parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ClientConnectionGCM2Response parseFrom(CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ClientConnectionGCM2Response parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public ClientWireProtocol.ClientConnectionGCM2Response.Builder newBuilderForType()
Description copied from interface: `MessageLite`
Constructs a new builder for a message of the same type as this message.

Specified by:
  `newBuilderForType` in interface `Message`
Specified by:
  `newBuilderForType` in interface `MessageLite`

### newBuilder

public static ClientWireProtocol.ClientConnectionGCM2Response.Builder newBuilder()

### newBuilder

public static ClientWireProtocol.ClientConnectionGCM2Response.Builder newBuilder(ClientWireProtocol.ClientConnectionGCM2Response prototype)

### toBuilder

public ClientWireProtocol.ClientConnectionGCM2Response.Builder toBuilder()
Description copied from interface: `MessageLite`
Constructs a builder initialized with the current message. Use this to derive a new message from the current one.

Specified by:
  `toBuilder` in interface `Message`
Specified by:
  `toBuilder` in interface `MessageLite`

### newBuilderForType

protected ClientWireProtocol.ClientConnectionGCM2Response.Builder newBuilderForType(GeneratedMessageV3.BuilderParent parent)
Description copied from class: `GeneratedMessageV3`
TODO(b/258340024): remove this together with GeneratedMessageV3.BuilderParent.

Specified by:
  `newBuilderForType` in class `GeneratedMessageV3`

### getDefaultInstance

public static ClientWireProtocol.ClientConnectionGCM2Response getDefaultInstance()

### parser

public static Parser<ClientWireProtocol.ClientConnectionGCM2Response> parser()

### getParserForType

public Parser<ClientWireProtocol.ClientConnectionGCM2Response> getParserForType()
Description copied from class: `GeneratedMessageV3`
TODO(b/258340024): Remove this unnecessary intermediate implementation of this method.

Specified by:
  `getParserForType` in interface `Message`
Specified by:
  `getParserForType` in interface `MessageLite`
Overrides:
  `getParserForType` in class `GeneratedMessageV3`

### getDefaultInstanceForType

public ClientWireProtocol.ClientConnectionGCM2Response getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`